#ifndef EDITSERVERDLG_H
#define EDITSERVERDLG_H

#include "ui_editserverdlg.h"

class EditServerDlg : public QDialog
{
	Q_OBJECT
public:
	EditServerDlg(QWidget *parent = 0);
	void setSettings(QString settings);

signals:
	void okPressed(QString, bool);

private:
	Ui::EditServerDlg ui_;

private slots:
	void onOkPressed();
};

#endif // EDITSERVERDLG_H
